aboutsummaryrefslogtreecommitdiff
path: root/opal-ci
diff options
context:
space:
mode:
authorStewart Smith <stewart@linux.ibm.com>2019-03-05 17:19:14 +1100
committerStewart Smith <stewart@linux.ibm.com>2019-03-15 14:31:30 +1100
commite4a06f098c4f34fb5539129dddb6646667f4d5ab (patch)
tree7799955bb69e36dedfa24497f996cbfac2b4e772 /opal-ci
parent6c36257bf32f9e828d018a3e263e1a79b90e802b (diff)
downloadskiboot-e4a06f098c4f34fb5539129dddb6646667f4d5ab.zip
skiboot-e4a06f098c4f34fb5539129dddb6646667f4d5ab.tar.gz
skiboot-e4a06f098c4f34fb5539129dddb6646667f4d5ab.tar.bz2
opal-ci: drop fedora 28
We're getting close to Fedora 30, and keeping N-1 fedora around for too long doesn't really add much. Signed-off-by: Stewart Smith <stewart@linux.ibm.com>
Diffstat (limited to 'opal-ci')
-rw-r--r--opal-ci/Dockerfile-fedora289
-rwxr-xr-xopal-ci/build-fedora28.sh30
-rwxr-xr-x[l---------]opal-ci/build-fedora29.sh31
3 files changed, 30 insertions, 40 deletions
diff --git a/opal-ci/Dockerfile-fedora28 b/opal-ci/Dockerfile-fedora28
deleted file mode 100644
index c863d93..0000000
--- a/opal-ci/Dockerfile-fedora28
+++ /dev/null
@@ -1,9 +0,0 @@
-FROM fedora:28
-RUN dnf -y install wget curl xterm gcc git xz make diffutils findutils expect valgrind valgrind-devel ccache dtc openssl-devel
-RUN dnf -y install gcc-powerpc64-linux-gnu
-# below packages are for building dtc
-RUN dnf -y install flex bison
-RUN if [ `arch` = "x86_64" ]; then dnf -y install http://public.dhe.ibm.com/software/server/powerfuncsim/p9/packages/v1.1-0/systemsim-p9-1.1-0.f22.x86_64.rpm; fi
-COPY . /build/
-WORKDIR /build
-
diff --git a/opal-ci/build-fedora28.sh b/opal-ci/build-fedora28.sh
deleted file mode 100755
index 56099d2..0000000
--- a/opal-ci/build-fedora28.sh
+++ /dev/null
@@ -1,30 +0,0 @@
-#!/bin/bash
-
-set -uo pipefail
-set -e
-set -vx
-
-MAKE_J=$(grep -c processor /proc/cpuinfo)
-export CROSS="ccache powerpc64-linux-gnu-"
-
-# There's a bug in dtc v1.4.7 packaged on fedora 28 that makes our device tree
-# tests fail, so for the moment, build a slightly older DTC
-git clone --depth=1 -b v1.4.4 https://git.kernel.org/pub/scm/utils/dtc/dtc.git
-(cd dtc; make -j${MAKE_J})
-export PATH=`pwd`/dtc:$PATH
-
-make -j${MAKE_J} all
-make -j${MAKE_J} check
-(make clean; cd external/gard && CROSS= make -j${MAKE_J})
-(cd external/pflash; make -j${MAKE_J})
-# GCOV build disabled for GCC 8.2
-# https://github.com/open-power/skiboot/issues/206
-#make clean
-#SKIBOOT_GCOV=1 make -j${MAKE_J}
-#SKIBOOT_GCOV=1 make -j${MAKE_J} check
-
-make clean
-rm -rf builddir
-mkdir builddir
-make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
-make clean
diff --git a/opal-ci/build-fedora29.sh b/opal-ci/build-fedora29.sh
index 74d8636..56099d2 120000..100755
--- a/opal-ci/build-fedora29.sh
+++ b/opal-ci/build-fedora29.sh
@@ -1 +1,30 @@
-build-fedora28.sh \ No newline at end of file
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+MAKE_J=$(grep -c processor /proc/cpuinfo)
+export CROSS="ccache powerpc64-linux-gnu-"
+
+# There's a bug in dtc v1.4.7 packaged on fedora 28 that makes our device tree
+# tests fail, so for the moment, build a slightly older DTC
+git clone --depth=1 -b v1.4.4 https://git.kernel.org/pub/scm/utils/dtc/dtc.git
+(cd dtc; make -j${MAKE_J})
+export PATH=`pwd`/dtc:$PATH
+
+make -j${MAKE_J} all
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+(cd external/pflash; make -j${MAKE_J})
+# GCOV build disabled for GCC 8.2
+# https://github.com/open-power/skiboot/issues/206
+#make clean
+#SKIBOOT_GCOV=1 make -j${MAKE_J}
+#SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
+make clean